Page MenuHomePhabricator

Deploy the analysis config for the new Slovak stemmer
Closed, ResolvedPublic

Description

We need to:

  • deploy the search/search/extra-analysis-slovak plugin with the Slovak stemmer
  • deploy the analysis config that expects the stemmer to be there ← we are here
  • re-index Slovak Wikis with the new analysis chain enabled

The analysis config has been tested as part of T190815, but needs to wait on the search/extra plugin that it requires to be deployed.

Details

Related Gerrit Patches:
mediawiki/extensions/CirrusSearch : masterCreate Analysis Chain for Slovak Using Slovak Stemmer

Event Timeline

TJones triaged this task as Normal priority.Apr 5 2018, 4:36 PM
TJones created this task.
TJones updated the task description. (Show Details)

Change 428665 had a related patch set uploaded (by Tjones; owner: Tjones):
[mediawiki/extensions/CirrusSearch@master] [WIP] Create Analysis Chain for Slovak Using Slovak Stemmer

https://gerrit.wikimedia.org/r/428665

Just waiting on T191543, as planned.

We have refactored the extra plugin project so that it generates a separate plugin, extra-analysis-slovak, and the new analysis chain depends on that plugin, rather than just "extra", so we no longer need to wait on T191543 to merge this.

TJones updated the task description. (Show Details)May 1 2018, 2:34 PM

Change 428665 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Create Analysis Chain for Slovak Using Slovak Stemmer

https://gerrit.wikimedia.org/r/428665

debt closed this task as Resolved.May 10 2018, 4:20 PM